# Change Log

All notable changes to the [supercode.sh](https://supercode.sh) extension will be documented in this file.

Current version: 1.82.1

## [Unreleased]

-   Remote Control for Cursor via mobile phone

## [1.82.1] - 2025-06-21

-   Super-advanced actions subsystem: modify prompts, system prompts, modes, models, etc.

## [1.66.10] - 2025-06-14

-   Welcome dialog for new users
-   Fixed issue with Cursor reloading
-   Multiple voice recognition engines support
-   Fixed issue with recording button

## [1.62.4] - 2025-06-07

-   More prompt enhancing modes for various use cases
-   Custom prompt enhancing modes
-   Voice input improvements: hotkeys selection

## [1.51.11] - 2025-06-05

-   Tiny patch for Linux

## [1.51.10] - 2025-05-16

-   Tweaks subsystem: Memory Bank and Context7 support out of the box
-   Linux issues fixed

## [1.50.5] - 2025-05-14

-   Fixed issue with patching Cursor on Linux systems
-   Fixed `.cursor/rules` installation bug

## [1.43.8] - 2025-05-12

-   Improved context enhancing on prompts, now all prompts are encrypted by default
-   Improved voice prompts handling

## [1.43.6] - 2025-05-07

-   Fixed tiny bug: some new users faced the issue with enabling "Enhance Gemini" mode. Now it works.

## [1.43.5] - 2025-05-05

-   `.supercode/commands.json` now works both for user-defined prompts and Voice Commands
-   General availability of Voice Commands, univeral way to control IDE via voice
-   Global Statistics subsystem to enhance our models and fix bugs

## [1.28.5] - 2025-04-05

-   Support Cursor 0.49+
-   Fixed critical bug with AI prompt rendering in dark mode
-   Improved performance for large codebase analysis
-   Fixed initialization: now Supercode post-process `def.json` on own backend to reduce your tokens usage

## [1.27.0] - 2025-03-15

-   Support Cursor 0.47+
-   Context-based voice recognition adopts to your project
-   Improved voice recognition accuracy for technical terms
-   Fixed synchronization issues with cloud-based prompts library

## [1.24.5] - 2025-02-28

-   Support Cursor 0.46+
-   Added support for multi-modal AI prompts with image inputs
-   Enhanced documentation generation with automatic code snippet inclusion
-   Fixed memory leak in long-running AI sessions

## [1.21.2] - 2025-02-03

-   Introduced AI prompt templates for common development patterns
-   Added support for custom AI rules configuration
-   Improved context window management for large codebases

## [1.18.7] - 2025-01-08

-   Support Cursor 0.45+
-   Added specialized AI prompts for different programming languages
-   Improved context overflow detection
-   Fixed UI glitches in prompt enhancement interface

## [1.15.0] - 2024-12-15

-   Introduced voice recognition for hands-free AI interaction
-   Added automatic AI prompt enhancing based on context
-   Improved documentation generation for complex functions

## [1.10.3] - 2024-11-05

-   Added AI-assisted code refactoring suggestions
-   Improved integration with Cursor's native AI capabilities
-   Enhanced rules library organization with tagging system

## [0.9.5] - 2024-10-10

-   Improved context handling for more accurate AI responses
-   Fixed compatibility issues with latest Cursor version
-   Fixed annoying bug with lagging enhance button

## [0.7.2] - 2024-09-18

-   Introduced AI documentation generator for code sections
-   Improved extension stability and reduced resource usage

## [0.5.0] - 2024-08-25

-   Introduced AI rules catalog
-   Improved error handling for failed AI requests

## [0.3.6] - 2024-08-03

-   Added support for custom AI rules and guidelines
-   Improved prompt suggestions based on code context
-   Fixed issues with extension activation in certain environments (Windows 10)

## [0.2.1] - 2024-07-12

-   Added basic prompts library with categorization
-   Improved AI response formatting in editor
-   Fixed installation issues on some operating systems

## [0.1.0] - 2024-06-20

-   Integrated with Cursor's AI capabilities
-   Added basic prompt enhancement features
-   Implemented initial settings configuration

## [0.0.1] - 2024-06-05

-   Initial release
-   Basic extension structure
-   Core functionality for AI interaction with Cursor IDE
