# Supercode: Supercharge AI in Cursor

![Supercode Banner](https://supercode.sh/assets/text-transparent-gap-0.5-lossy-D064cQWj.png)

## Supercharge Your Cursor IDE with Advanced AI Capabilities

Supercode seamlessly integrates with Cursor IDE to provide an enhanced AI-powered coding experience. Leverage intelligent prompts, context-aware voice recognition, custom AI rules, and more to accelerate your development workflow.

## Key Features

-   **AI Prompt Enhancement** - Smart context-based prompt optimization that significantly improves AI responses
-   **Voice Recognition** - Hands-free coding with context-aware voice commands that adapt to your project
-   **Cursor Rules Catalog** - Use battle-tested verified catalog of Cursor Rules for any tech stack
-   **Custom AI Rules** - Create, share, and implement custom rules to guide AI behavior for your specific needs
-   **AI Documentation Generation** - Automatically generate comprehensive docs from your code via pre-built prompts
-   **Optimized Token Usage** - Reduced token consumption through intelligent processing

## Pricing Plans

### Basic (Most Popular)

-   Precise context-aware voice input
-   Built-in AI-rules catalog
-   Smart AI-docs generation
-   Smart prompt enhancing
-   Context enrichment for Gemini 2.5 Pro
-   Comfortable usage limits for daily development
-   Local pricing available for your country

### Premium

-   Everything in Basic plan
-   Project-level context for voice input
-   Custom post-processing for voice input
-   Initial code analysis and context enrichment
-   Advanced AI-docs generation
-   Architecture mode
-   Extended limits for professional usage
-   Local pricing available for your country

Visit [supercode.sh](https://supercode.sh) for current pricing in your region.

## Installation

1. Download latest .vsix package from [supercode.sh](https://supercode.sh)
2. Open Cursor IDE
3. Drag and drop .vsix package to Extensions Pane in Cursor
4. Done

## Getting Started

After installation:

1. Sign in via [supercode.sh](https://supercode.sh)
2. Try voice recognition by clicking the microphone icon or by double-pressing Control key
3. Explore the AI rules catalog to find helpful guidelines for your projects
4. Enhance your AI prompts by selecting code and using the "Enhance" button

## Compatibility

Supercode supports Cursor IDE versions 0.45 and above. For the best experience, we recommend using the latest version of Cursor.

## Support

For help, feature requests, or bug reports:

-   Visit [supercode.sh/en/help](https://supercode.sh/en/help)
-   Email us at [support@supercode.sh](mailto:support@supercode.sh)

## License

Copyright © 2024-2025 Supercode AI. All rights reserved.
